{varType Skadmin\Tutorial\Doctrine\Tutorial\Tutorial[] $tutorials}

<div class="row mb-3">
    <div class="col-12">
        {form formFilter class => 'ajax'}
            {foreach $form[tags]->items as $key => $label}
                <div class="form-group custom-control custom-checkbox d-inline-block mr-3">
                    {input tags:$key: class => 'custom-control-input input-autosubmit'}
                    {label tags:$key: class => 'custom-control-label' /}
                </div>
            {/foreach}
        {/form}
    </div>
</div>

{snippet snipOverview}
    <div class="row">
        <div class="col-12 col-sm-6 col-lg-4 col-xl-3 d-flex" n:foreach="$tutorials as $tutorial">
            <div class="card shadow mb-4">
                <a href="{plink ComponentFront:default package => $package, render => 'detail', id => $tutorial->getId()}"
                   class="card-img-top text-center stretched-link border-bottom-0"
                   style="width: 420px; height: 200px; background-image: url('https://img.youtube.com/vi/{$tutorial->getValue()}/sddefault.jpg'); background-size: cover; background-position: center; max-width: 100%;">
                </a>

                <div class="card-body py-2">
                    <div n:inner-foreach="$tutorial->getTags() as $tag">
                        <span class="badge mr-1 px-2 mb-1 border border-primary"
                              style="background-color: {$tag->getColor()|noescape}; color: {\SkadminUtils\Utils\Utils\Colors\Colors::getContrastColor($tag->getColor())|noescape}">
                            {$tag->getName()}
                        </span>
                    </div>
                    <h6 class="mb-0 mt-1 font-weight-bold text-primary">{$tutorial->getName()}</h6>

                    {$tutorial->getContent()|striptags|noescape|truncate:400}
                </div>
            </div>
        </div>
    </div>

    {control paginator}
{/snippet}